Bug 63497 - BASIC: BASIC-error after opening XLS
Summary: BASIC: BASIC-error after opening XLS
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Macro-VBA XLS
  Show dependency treegraph
 
Reported: 2013-04-13 11:49 UTC by markus
Modified: 2018-12-29 21:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Tool for comparing insurances (171.00 KB, application/msexcel)
2013-04-13 11:49 UTC, markus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markus 2013-04-13 11:49:42 UTC
Created attachment 77920 [details]
Tool for comparing insurances

Problem description: 

After opening the file I get a BASIC error

Also it's not possible to use the buttons 

Steps to reproduce:
1. open file
2. get the message

Current behavior:
BASIC-error message
Buttons not usable

Expected behavior:
Buttons should give you a list of available insurance companies and a possibility to your own logo

I also tried 4.0.2 under Windows with the same behaviour.
Operating System: Ubuntu
Version: 3.6.2.2 release
Comment 1 bfoman (inactive) 2013-06-26 10:43:30 UTC
Confirmed with:
LO 4.2.0.0.alfa0
Build ID: 2013-06-24 own debug build 
Windows 7 Professional SP1 64 bit

Tool doesn't work. All good in Excel 2010.
Comment 2 retired 2014-01-08 09:55:39 UTC
Confirmed:4.2.0.1:OSX

BASIC-Syntaxerror.
Unexpected Symbol: Not.

Status NEW
OS ALL
Comment 3 Joel Madero 2015-05-02 15:41:08 UTC Comment hidden (obsolete)
Comment 4 markus 2015-05-03 09:32:03 UTC
I have tested it under LO 4.4.2.2 under Windows and it is the same behaviour.
Comment 5 QA Administrators 2016-09-20 09:36:57 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920